/*Graph of prediction in Arab republic states*/
/*Please read datafile before doing this code*/

oprobit regime00_11  age15_30 republic imp_food log_gdppc oil_rent

margins, at(imp_food=(2000 2500 3000 3500 4000 4500 5000 5500 6000 6500 7000 7500 8000 8500 9000 9500 10000 10500 11000 11500 12000) republic=1) predict(outcome(1)) vsquish post
parmest, norestore
gen id=_n
gen imp_food=id*500+1500
label var imp_food "Import/GDP * food price"
twoway rarea max95 min95 imp_food, pstyle(ci) || line estimate imp_food, ytitle(Probability(transformation)) title(Predictive marigns with 95% confidence interval) legend(off)

/*Stop running do file*/
clear

/*Graph of prediction in Arab Monarchies*/
/*Please read datafile again*/

oprobit regime00_11  age15_30 republic imp_food log_gdppc oil_rent

margins, at(imp_food=(2000 2500 3000 3500 4000 4500 5000 5500 6000 6500 7000 7500 8000 8500 9000 9500 10000 10500 11000 11500 12000) republic=0) predict(outcome(1)) vsquish post
parmest, norestore
gen id=_n
gen imp_food=id*500+1500
label var imp_food "Import/GDP * food price"
twoway rarea max95 min95 imp_food, pstyle(ci) || line estimate imp_food, ytitle(Probability(transformation)) title(Predictive marigns with 95% confidence interval) legend(off)
